{
  "name": "eva-cms-admin-front",
  "label": "eva-cms-admin-front",
  "version": "1.0.0",
  "private": false,
  "receivable": false,
  "compiler": "freemarker",
  "repository": "",
  "branch": "",
  "supportedDatabases": [],
  "presetPlugins": [],
  "prices": [
    {
      "type": "FREE",
      "value": 0
    }
  ],
  "builds": [
    {
      "name": "安装依赖",
      "type": "Markdown",
      "content": "在项目目录下执行以下命令，安装项目依赖包\n```shell\nnpm install --registry https://registry.npmmirror.com\n```",
      "contentType": "string"
    },
    {
      "name": "启动项目",
      "type": "Markdown",
      "content": "待项目依赖包正确安装完成后，执行以下命令即可启动项目\n```shell\nnpm run dev\n```",
      "contentType": "string"
    }
  ],
  "unbuilds": [],
  "variables": [
    {
      "id": "syjljese1mow",
      "type": "variable",
      "name": "loginTitle",
      "label": "项目标题",
      "inputType": "input",
      "required": true,
      "hidden": false,
      "defaultValue": "伊娃CMS-轻量级CMS系统",
      "compiler": "static",
      "remark": ""
    },
    {
      "id": "1ncl776trtwgg",
      "type": "variable",
      "name": "loginDescription",
      "label": "登录页项目说明",
      "inputType": "input",
      "required": false,
      "hidden": false,
      "defaultValue": "金镐开源组织研发，免费、开源、轻量、高规范！",
      "compiler": "static",
      "remark": ""
    },
    {
      "id": "1qm75h7t43dw0",
      "type": "variable",
      "name": "menuTitle",
      "label": "菜单顶部项目名称",
      "inputType": "input",
      "required": true,
      "hidden": false,
      "defaultValue": "伊娃CMS",
      "compiler": "static",
      "remark": ""
    }
  ],
  "translator": {
    "output": ".kit/translated",
    "filepath": "",
    "content": "// freemarker语法修复\nif (setting.compiler === 'freemarker') {\n    content = content\n      .replace(/\\$\\{/g, '<#noparse>${</#noparse>')\n      .replace(/\\#\\{/g, '<#noparse>#{</#noparse>')\n}\n\n// login.vue内容替换\nif (filename === 'login.vue') {\n    content = content\n      .replace(/<h2>.*<\\/h2>/, '<h2>${loginTitle}</h2>')\n      .replace(/<h3>.*<\\/h3>/, '<h3>${loginDescription}</h3>')\n}\n\n// index.html内容替换\nif (filename === 'index.html') {\n    content = content\n      .replace(/<title>.*<\\/title>/, '<title>${loginTitle}</title>')\n}\n\n// AppMenu替换菜单顶部标题\nif (filename === 'AppMenu.vue') {\n    content = content\n      .replace('伊娃CMS', '${menuTitle}')\n}\n\nreturn content"
  },
  "settings": [
    {
      "path": "src/views/login.vue",
      "compiler": "freemarker",
      "withoutIfNotExists": false,
      "enableExpress": "",
      "variables": []
    },
    {
      "path": "index.html",
      "compiler": "freemarker",
      "withoutIfNotExists": false,
      "enableExpress": "",
      "variables": []
    },
    {
      "path": "src/components/layout/AppMenu.vue",
      "compiler": "freemarker",
      "withoutIfNotExists": false,
      "enableExpress": "",
      "variables": []
    }
  ],
  "introduce": "🚩 eva-cms管理后台的前端工程。",
  "readme": "<div align=\"center\">\n  <img src=\"https://adjustrd-public.oss-cn-shenzhen.aliyuncs.com/eva-cms/logo.png\" width=\"120px\" style=\"width:80px;height:80px;\" />\n  <h1>伊娃CMS后台前端</h1>\n</div>\n\n## 在线演示 & 技术文档\n\n- 演示地址/政企门户主题：[http://gov.eva-cms.goldpankit.com/](http://gov.eva-cms.goldpankit.com/)\n- 演示地址/后台管理：[http://admin.eva-cms.goldpankit.com/](http://admin.eva-cms.goldpankit.com/)\n- 官方文档：[https://www.yuque.com/u21334242/eva-cms](https://www.yuque.com/u21334242/eva-cms)\n\n## 金镐开源组织生态项目\n\n| 版本                  | 说明                | 开源地址                                                                                                               | 构建地址                                                                                                             |\n|---------------------|-------------------|--------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------|\n| eva-cms             | 伊娃CMS后端           | [https://gitee.com/goldpankit/eva-cms](https://gitee.com/goldpankit/eva-cms)                                       | [http://goldpankit.com/space/Eva/eva-cms](http://goldpankit.com/space/Eva/eva-cms)                               |\n| eva-cms-admin-front | 伊娃CMS后台管理前端       | [https://gitee.com/goldpankit/eva-cms-admin-front](https://gitee.com/goldpankit/eva-cms-admin-front)               | [http://goldpankit.com/space/Eva/eva-cms-admin-front](http://goldpankit.com/space/Eva/eva-cms-admin-front)       |\n| eva-cms-website-gov | 伊娃CMS政企门户主题站点前端   | [https://gitee.com/goldpankit/eva-cms-website-gov](https://gitee.com/goldpankit/eva-cms-website-gov)               | [http://goldpankit.com/space/Eva/eva-cms-website-gov](http://goldpankit.com/space/Eva/eva-cms-website-gov)       |\n| eva-server          | 伊娃权限系统单工程版本       | [https://gitee.com/goldpankit/eva-server](https://gitee.com/goldpankit/eva-server)                                 | [http://goldpankit.com/space/Eva/eva-server](http://goldpankit.com/space/Eva/eva-server)                         |\n| eva-server-modules  | 伊娃权限系统Maven多模块版本  | [https://gitee.com/goldpankit/eva-server-modules](https://gitee.com/goldpankit/eva-server-modules)                 | [http://www.goldpankit.com/space/Eva/eva-server-modules](http://www.goldpankit.com/space/Eva/eva-server-modules) |\n| eva-vue2            | 伊娃权限系统前端vue2版本    | [https://gitee.com/goldpankit/eva-vue/tree/vue2/](https://gitee.com/goldpankit/eva-vue/tree/vue2/)                 | [http://goldpankit.com/space/Eva/eva-vue2](http://goldpankit.com/space/Eva/eva-vue2)                             |\n| eva-vue3-options    | 伊娃权限系统前端vue3选项式版本 | [https://gitee.com/goldpankit/eva-vue/tree/vue3-options/](https://gitee.com/goldpankit/eva-vue/tree/vue3-options/) | [http://www.goldpankit.com/space/Eva/eva-vue3-options](http://www.goldpankit.com/space/Eva/eva-vue3-options)     |\n\n\n## 项目特点\n\n1. 可扩展的功能模块，默认情况下提供了文章管理、栏目管理、资源管理、模板管理等CMS系统的基础模块，以及用户管理、角色管理、菜单管理等权限系统基础模块，使用GoldPanKit可进一步进行源码级功能模块的扩展。\n2. 不用担心存在BUG，如果存在BUG，使用GoldPanKit可实现一键升级。\n3. 不用担心存在安全漏洞，如果存在安全漏洞，GoldPanKit会进行提醒并支持一键升级。\n4. 规范化代码 + 详细的代码注释。\n5. 基于Eva 4权限系统进行研发，安全稳定！\n6. 丰富的插件市场，可使用GoldPanKit进行单表、多表的页面生成。\n\n## 绝对优势\n\n结合GoldPanKit可实现代码直接生成到项目中，安装更多的功能模块，一键修复BUG等。\n\n## 项目预览\n\n**登录页**\n![输入图片说明](https://adjustrd-public.oss-cn-shenzhen.aliyuncs.com/eva-cms/1.png)\n\n**文章管理**\n![输入图片说明](https://adjustrd-public.oss-cn-shenzhen.aliyuncs.com/eva-cms/2.png)\n\n**栏目管理**\n![输入图片说明](https://adjustrd-public.oss-cn-shenzhen.aliyuncs.com/eva-cms/3.png)\n\n**资源管理**\n![输入图片说明](https://adjustrd-public.oss-cn-shenzhen.aliyuncs.com/eva-cms/4.png)\n![输入图片说明](https://adjustrd-public.oss-cn-shenzhen.aliyuncs.com/eva-cms/5.png)\n\n**模板管理**\n![输入图片说明](https://adjustrd-public.oss-cn-shenzhen.aliyuncs.com/eva-cms/6.png)\n"
}